﻿#language: ru

Функционал: Создание документа Производственное задание

Сценарий: Создание документа Производственное задание для наборки
	Дано Я переключаюсь на открытый клиент "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Производственные задания'
	Тогда открылось окно 'Производственные задания'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Производственное задание (создание)'
	И в поле 'Дата смены' я ввожу текст '01.11.2018'
	И в поле 'от' я ввожу текст '01.11.2018 09:12:33'
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24'      |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'       |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И я перехожу к закладке "Задание"
	И в таблице "Товары" я добавляю новую строку
	И в таблице "Товары" я активизирую поле "Номенклатура"
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'milk_prod_Российский 50%' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я активизирую поле "Характеристика"
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'	|
		| 'Варка'			|
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер' | 'Дата выпуска' |
		| '2'     | '01.11.2018'   |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я перехожу к строке:
		| 'N' |
		| '1' |
	И в таблице 'Товары' я удаляю строку
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'milk_prod_Сливочный 45%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Варка'        |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'milk_prod_Сливочный 45%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Варка'        |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'milk_prod_Сливочный 45% ГП' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'milk_prod_Сливочный 45% ГП' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Вид' 		  | 'Ед.' | 'Наименование'  		  |
		| 'milk_prod_Сыр' | 'кг'  | 'milk_prod_Сливочный 45%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Вид' 		  | 'Ед.' | 'Наименование'    			|
		| 'milk_prod_Сыр' | 'кг'  | 'milk_prod_Диетический 35%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Вид'           			| 'Ед.' | 'Наименование' 		   |
		| 'milk_prod_Полуфабрикаты' | 'кг'  | 'milk_prod_Сыворотка'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Спецификация"
	Тогда открылось окно 'Ресурсные спецификации'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'      |
		| 'milk_prod_Сливочный 45% milk_prod_Сыр' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" в поле с именем 'ТоварыКоличество' я ввожу текст '100,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Производственное задание (создание) *' в течение 20 секунд
	Тогда открылось окно 'Производственные задания'
	И Я закрываю окно 'Производственные задания'

Сценарий: Задание для Комплектация через весы
	И В командном интерфейсе я выбираю 'Производство' 'Производственные задания'
	Тогда открылось окно 'Производственные задания'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Производственное задание (создание)'
	И я запоминаю значение поля "от" как "ДатаДокумента"
	И в поле 'Дата смены' ввожу значение переменной "ДатаДокумента"
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Маркировка'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И я перехожу к закладке "Задание"
	И в таблице "Товары" я добавляю новую строку
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'milk_prod_Российский 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Созревший'    |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер' |
		| '2'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я перехожу к строке:
		| 'N' |
		| '1' |
	И в таблице "Товары" я удаляю строку
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Производственное задание (создание) *' в течение 20 секунд
	Тогда открылось окно 'Производственные задания'
	И Я закрываю окно 'Производственные задания'